first_jump_table_entry_point:
	; MicrOS entry points for RAM-loaded software
	jp	StartMicrOS
	jp	RebootMicrOS
	jp	GetVersion
	jp	MainMenu
	jp	RebootDevice
	jp	MicrosApd
	; Utility
	jp	MultHByE
	jp	DispByte
	jp	DispHL
	jp	ClearMem
	jp	ProcessKeyJumpTable
	jp	Menu
	jp	Panic
	; Interrupts
	jp	SetUpInterrupts
	; Memory
	jp	IncPtr
	jp	DecPtr
	jp	AddPtr
	jp	SubPtr
	jp	GetByte
	jp	PutByte
	jp	BlockCopy
	jp	WriteFlashByte
	jp	EraseSector
	jp	IssueAutoSelect
	; Archive
	;  - To do
	; Keyboard
	jp	GetAscii
	jp	ClearShiftFlags
	jp	ClearAllShiftFlags
	jp	GetKeyShifts
	jp	GetHexByte
	jp	GetKey
	jp	CursorOn
	jp	CursorOff
	jp	GetCSC
	jp	PeekCSC
	jp	ScanKeyboard
	jp	RawGetCSC
	; Screen
	jp	PutSClrWind
	jp	SetFullScrnWind
	jp	ClearWind
	jp	PutS
	jp	PutSpaces
	jp	Locate
	jp	HomeUp
	jp	NewLineClrEOL
	jp	CursorBack
	jp	PutSpace
	jp	AdvanceCursor
	jp	NewLine
	jp	NextTab
	jp	PutC
	jp	ReadChar
	jp	ResetScreen
	jp	FixCursor
	jp	SetCharRow
	jp	SetCharCol
	jp	SetLcdWindowColumnBounds
	jp	SetDirectionRight
	jp	SetDirectionDown
	jp	ClrScrnFull
	jp	FillScrnFull
	; To do: Add linking routines
last_jump_table_entry_point: