; This program is free software. It comes without any warranty, to
; the extent permitted by applicable law. You can redistribute it
; and/or modify it under the terms of the Do What The Fuck You Want
; To Public License, Version 2, as published by Sam Hocevar. See
; http://sam.zoy.org/wtfpl/COPYING for more details.


;====== Autoselect =============================================================
strManufID:
	.db	"Manufacturer ID:"
	.db	0
strDeviceID:
	.db	"Device ID: "
	.db	0
; 1C = EON, 7F = unknown, 89 = Intel, C2 = Macronix
manufIDTable:
	.db	manufIDTableSize
manufIDTableStart:
	.db	01
	.dw	strAMD
	.db	04
	.dw	strFujitsu
	.db	1Ch
	.dw	strEON
	.db	7Fh
	.dw	strExpanded
	.db	0C2h
	.dw	strMacronix
	.db	0DBh
	.dw	strEmulator
manufIDTableEnd:
	.dw	strUnknown
manufIDTableSize .equ (manufIDTableEnd - manufIDTableStart) / 2
strAMD:
	.db	"-AMD/Spansion", 0
strFujitsu:
	.db	"-Fujitsu", 0
strEON:
	.db	"-EON", 0
strExpanded:
	.db	"-Extended Code"
strMacronix:
	.db	"-Macronix", 0
strUnknown:
	.db	"-Unknown", 0
strEmulator:
	.db	"-Emulator?", 0
deviceIDTable:
	.db	deviceIDTableSize
deviceIDTableStart:
	.db	23h
	.dw	strHalfMeg
	.db	0B9h
	.dw	strHalfMeg
	.db	0DAh
	.dw	strOneMeg
	.db	0C4h
	.dw	strTwoMeg
	.db	0E6h
	.dw	strEmulator
	.db	0A7h
	.dw	strFourMeg
deviceIDTableEnd:
	.dw	strUnknown
deviceIDTableSize .equ (deviceIDTableEnd - deviceIDTableStart) / 3
strHalfMeg:
	.db	"512 K", 0
strOneMeg:
	.db	"1024 K", 0
strTwoMeg:
	.db	"2048 K", 0
strFourMeg:
	.db	"4096 K", 0
flashIDChipTable:
	.db	6
	.db	0E6h
	.db	23h
	.db	0B9h
	.db	0DAh
	.db	0C4h
	.db	0A7h
flashChipTableEnd:
flashIDSizeTable:
	.db	0
	.db	1
	.db	1
	.db	2
	.db	3
	.db	4
certificatePageTableTable:
	.db	1Eh
	.db	3Eh
	.db	7Eh
	.db	0FEh
certificatePageTable .equ certificatePageTableTable - 1
strErrUnknownChip:
;		 12345678901234 CC 90123456789012
	.db	"Error: Could not identify flash", chNewLine
	.db	"chip."
	.db	0