; This program is free software. It comes without any warranty, to
; the extent permitted by applicable law. You can redistribute it
; and/or modify it under the terms of the Do What The Fuck You Want
; To Public License, Version 2, as published by Sam Hocevar. See
; http://sam.zoy.org/wtfpl/COPYING for more details.
;====== Data ===================================================================
;		 12345678901234 CC 90123456789012
;	.db	0 ; Do not remove ; Oops, I removed it---01:25 AM, 17 July 2011, DrDnar
mMain: ; No menus should link to the main menu.  Just use the MainMenu jump point.
	;.db	"             MICROS", chNewLine
	.db	"            "
	.db	80h, ('M'|80h), ('I'|80h), ('C'|80h), ('R'|80h), ('O'|80h), ('S'|80h), 80h
	.db	chNewLine
	.db	"1. Execute", chNewLine
	.db	"2. Port Monitor", chNewLine
	.db	"3. LCD Port Monitor", chNewLine
	.db	"4. Hex Editor/Disassemmbler", chNewLine
	.db	"5. Linking", chNewLine
	.db	"6. Quit to EOS", chNewLine
	.db	"7. Suspend", chNewLine
	.db	"8. Reboot", chNewLine
	.db	"9. Help", chNewLine
	.db	chNewLine
	.db	chNewLine
	.db	"MicrOS, by DrDnar", chNewLine
;		 12345678901234 CC 90123456789012
	.db	chBeta, "2.0, 25 April 2013", chNewLine
	.db	"Options: "
#ifdef ENABLE_FULL_ERASE
	.db	"FCE "
#endif
#ifdef HEX_ASCII_CHART
	.db	"CHART "
#endif
#ifdef HEX_ASCII_INPUT
	.db	"INPUT"
#endif
#ifdef ENABLE_DISASM
	.db	"ASM "
#endif
	.db	"84PCSE"
	.db	0
	.db	sk1
	.dw	mExecute-1
	.db	sk2
	.dw	PortMonitor
	.db	sk3
	.dw	LcdPortMonitor
	.db	sk4
	.dw	HexEditor
;	.db	sk5
;#ifdef ENABLE_USB_SUPPORT
;	.dw	mDataIO-1
;#else
;	.dw	mSerialIO-1
;#endif
	.db	sk6
	.dw	mQuit-1
	.db	sk7
	.dw	Suspend
	.db	sk8
	.dw	mReset-1
	.db	sk9
	.dw	mHelp-1
	.db	0
mQuit:
;		 12345678901234 CC 90123456789012
;	.db	"WARNING: You are about to", chNewLine
	.db	('W'|80h), ('A'|80h), ('R'|80h), ('N'|80h), ('I'|80h), ('N'|80h), ('G'|80h), (':'|80h)
	.db	" You are about to", chNewLine
	.db	"return system control to the OS.";, chNewLine
	.db	"1. Abort", chNewLine
	.db	"2. Proceed"
	.db	0
	.db	sk2
	.dw	QuitToEOS
	.db	sk1
	.dw	MainMenu
	.db	skClear
	.dw	MainMenu
	.db	0
mReset:
;		 12345678901234 CC 90123456789012
;	.db	"WARNING: You are about to", chNewLine
	.db	('W'|80h), ('A'|80h), ('R'|80h), ('N'|80h), ('I'|80h), ('N'|80h), ('G'|80h), (':'|80h)
	.db	" You are about to", chNewLine
	.db	"attempt to reboot the system.", chNewLine
	.db	"1. Abort", chNewLine
	.db	"2. Proceed"
	.db	0
	.db	sk2
	.dw	RebootDevice
	.db	sk1
	.dw	MainMenu
	.db	skClear
	.dw	MainMenu
	.db	0
mHelp:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"1. Execute", chNewLine
	.db	"2. Port Monitor", chNewLine
	.db	"3. LCD Port Monitor", chNewLine
	.db	"4. Hex Editor/Disassembler", chNewLine
	.db	"5. Linking", chNewLine
	.db	chNewLine
	.db	"Press CLEAR to return."
	.db	0
	.db	sk1
	.dw	mHelpExecute-1
	.db	sk2
	.dw	mHelpPortMonitor-1
	.db	sk3
	.dw	mHelpLcdPortMonitor-1
	.db	sk4
	.dw	mHelpHexEditor-1
	.db	sk5
	.dw	mHelpLinking-1
	.db	skClear
	.dw	MainMenu
	.db	0
mHelpExecute:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"The payload option in Execute is"
	.db	"intended to make it easy to add "
	.db	"in other functional to MicrOS,", chNewLine
	.db	"although its usefulness is", chNewLine
	.db	"debatable.  The Erase", chNewLine
	.db	"Certificate option will do what "
	.db	"says.  The Custom option will", chNewLine
	.db	"prompt for an address and then", chNewLine
	.db	"execute whatever is there."
	.db	0
	.db	skClear
	.dw	mHelp-1
	.db	0
mHelpPortMonitor:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"The Port Monitor works like the "
	.db	"Calcsys port monitor.  Press ", chLeft, chUpDown, chRight
	.db	"to select a different port, and "
	.db	"ENTER to write a value to that", chNewLine
	.db	"port."
	.db	0
	.db	skClear
	.dw	mHelp-1
	.db	0
mHelpLcdPortMonitor:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"The LCD Port Monitor works just "
	.db	"like the regular port monitor."
	.db	0
	.db	skClear
	.dw	mHelp-1
	.db	0
mHelpHexEditor:
;		 12345678901234 CC 90123456789012
;	.db	"
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"1. Hex Editor keys", chNewLine
	.db	"2. Disassembler keys", chNewLine
	.db	"3. Tips", chNewLine
	.db	0
	.db	sk1
	.dw	mHexKeys-1
	.db	sk2
	.dw	mDisasmKeys-1
	.db	sk3
	.dw	mEditorTips-1
	.db	skClear
	.dw	mHelp-1
	.db	0
mHexKeys:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"Hex Editor Keys:", chNewLine
	.db	"F1: Options", chNewLine
	.db	"F4/F5: Jump forward/back 40h", chNewLine
	.db	"+-*/: Jump forward/back 100/1000"
	.db	"(): Shift forward/backward 1", chNewLine
	.db	chLeft, chUpDown, chRight, ": Move cursor", chNewLine
	.db	"ENTER: Edit byte under cursor", chNewLine
	.db	"ON+/1-9: Store or load bookmark", chNewLine
	.db	"0: Return to last address", chNewLine
	.db	"MODE: Toggle entry mode", chNewLine
;	.db	"Line 12", chNewLine
;	.db	"Line 13", chNewLine
;	.db	"Line 14", chNewLine
;	.db	"Line 15"
	.db	0
	.db	skClear
	.dw	mHelpHexEditor-1
	.db	0
mDisasmKeys:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"The disassembler keys are like", chNewLine
	.db	"the hex editor keys, but up just"
	.db	"moves 1 byte up, F4 moves back", chNewLine
	.db	"12 bytes, and F5 moves forward 8"
	.db	"instructions.  There is no write"
	.db	"command."
	.db	0
	.db	skClear
	.dw	mHelpHexEditor-1
	.db	0
mEditorTips:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"Tip:", chNewLine
	.db	"Use the offset feature to make", chNewLine
	.db	"RAM mapped into page A/B", chNewLine
	.db	"appear with addresses 8000-C000h"
	.db	0
	.db	skClear
	.dw	mHelpHexEditor-1
	.db	0
mHelpLinking:
;		 12345678901234 CC 90123456789012
	.db	"             "
	.db	80h, ('H'|80h), ('E'|80h), ('L'|80h), ('P'|80h),  80h
	.db	chNewLine
	.db	"The Linking menu does nothing", chNewLine
	.db	"and will probably be removed."
	.db	0
	.db	skClear
	.dw	mHelp-1
	.db	0

strPanic:
	.db	"Panic! Source: ", 0
strDone:
	.db	"Done!", 0